Issue while starting Logstash 6.0 on windows 10


(Amol Vishwarupe) #1

I am getting below error which starting logstash agent on window 10 , can someone please help here .

C:\HomeWare\ES6\logstash-6.0.0\logstash-6.0.0\bin>logstash.bat agent -f test.config
LoadError: Could not load FFI Provider: (NotImplementedError) FFI not available: java.lang.UnsatisfiedLinkError: could not locate stub library in jar file. Tried [jni/x86_64-Windows/jffi-?.?.dll, /jni/x86_64-Windows/jffi-?.?.dll]
at com.kenai.jffi.internal.StubLoader.getStubLibraryStream(StubLoader.java:407)
at com.kenai.jffi.internal.StubLoader.loadFromJar(StubLoader.java:355)
at com.kenai.jffi.internal.StubLoader.load(StubLoader.java:258)
at com.kenai.jffi.internal.StubLoader.(StubLoader.java:444)
at java.lang.Class.forName0(Native Method)
at java.lang.Class.forName(Class.java:348)
at com.kenai.jffi.Init.load(Init.java:68)
at com.kenai.jffi.Foreign$InstanceHolder.getInstanceHolder(Foreign.java:49)
at com.kenai.jffi.Foreign$InstanceHolder.(Foreign.java:45)
at com.kenai.jffi.Foreign.getInstance(Foreign.java:103)
at com.kenai.jffi.Type$Builtin.lookupTypeInfo(Type.java:242)
at com.kenai.jffi.Type$Builtin.getTypeInfo(Type.java:237)
at com.kenai.jffi.Type.resolveSize(Type.java:155)
at com.kenai.jffi.Type.size(Type.java:138)
at jnr.ffi.provider.jffi.NativeRuntime$TypeDelegate.size(NativeRuntime.java:187)
at jnr.ffi.provider.AbstractRuntime.(AbstractRuntime.java:48)
at jnr.ffi.provider.jffi.NativeRuntime.(NativeRuntime.java:66)
at jnr.ffi.provider.jffi.NativeRuntime.(NativeRuntime.java:41)
at jnr.ffi.provider.jffi.NativeRuntime$SingletonHolder.(NativeRuntime.java:62)
at jnr.ffi.provider.jffi.NativeRuntime.getInstance(NativeRuntime.java:58)
at jnr.ffi.provider.jffi.Provider.(Provider.java:29)
at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
at java.lang.reflect.Constructor.newInstance(Constructor.java:423)
at java.lang.Class.newInstance(Class.java:442)
at jnr.ffi.provider.FFIProvider$SystemProviderSingletonHolder.getInstance(FFIProvider.java:68)
at jnr.ffi.provider.FFIProvider$SystemProviderSingletonHolder.(FFIProvider.java:57)
at jnr.ffi.provider.FFIProvider.getSystemProvider(FFIProvider.java:35)
at jnr.ffi.Library.loadLibrary(Library.java:114)
at jnr.posix.POSIXFactory$DefaultLibCProvider$SingletonHolder.(POSIXFactory.java:279)
at jnr.posix.POSIXFactory$DefaultLibCProvider.getLibC(POSIXFactory.java:283)
at jnr.posix.BaseNativePOSIX.(BaseNativePOSIX.java:37)
at jnr.posix.WindowsPOSIX.(WindowsPOSIX.java:132)
at jnr.posix.POSIXFactory.loadWindowsPOSIX(POSIXFactory.java:163)
at jnr.posix.POSIXFactory.loadNativePOSIX(POSIXFactory.java:136)
at jnr.posix.POSIXFactory.loadPOSIX(POSIXFactory.java:90)
at jnr.posix.LazyPOSIX.loadPOSIX(LazyPOSIX.java:36)
at jnr.posix.LazyPOSIX.posix(LazyPOSIX.java:32)
at jnr.posix.LazyPOSIX.isNative(LazyPOSIX.java:382)
at org.jruby.RubyGlobal.prepareStdioChannel(RubyGlobal.java:298)
at org.jruby.RubyGlobal.initSTDIO(RubyGlobal.java:275)
at org.jruby.RubyGlobal.createGlobals(RubyGlobal.java:202)
at org.jruby.Ruby.init(Ruby.java:1195)
at org.jruby.Ruby.newInstance(Ruby.java:339)
at org.jruby.Main.internalRun(Main.java:271)
at org.jruby.Main.run(Main.java:232)
at org.jruby.Main.main(Main.java:204)

See http://jira.codehaus.org/browse/JRUBY-4583
require at org/jruby/RubyKernel.java:955
require at C:/HomeWare/ES6/logstash-6.0.0/logstash-


(Mark Walkom) #2

What version of java are you running?


(Amol Vishwarupe) #3

Hi Mark

Its 1.8

C:\Users\AmolV>Java -version
java version "1.8.0_91"
Java(TM) SE Runtime Environment (build 1.8.0_91-b14)
Java HotSpot(TM) 64-Bit Server VM (build 25.91-b14, mixed mode)


(Amol Vishwarupe) #4

Can someone please guide here
As i am not understanding issue here , i tried with checking Java Home path , version etc .

My Other services for elastic and Kibana runs well and able to access them as well


(system) #5

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.